## org.apache.myfaces.renderkit.html
Class HtmlRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer

Direct Known Subclasses:
  HtmlButtonRendererBase, HtmlCheckboxRendererBase, HtmlFormatRenderer, HtmlFormRendererBase, HtmlGridRendererBase, HtmlGroupRendererBase, HtmlHiddenRenderer, HtmlImageRendererBase, HtmlLabelRenderer, HtmlLinkRendererBase, HtmlListboxRendererBase, HtmlMenuRendererBase, HtmlMessageRendererBase, HtmlRadioRendererBase, HtmlSecretRendererBase, HtmlTableRendererBase, HtmlTextareaRendererBase, HtmlTextRendererBase

public abstract class HtmlRenderer
extends javax.faces.render.Renderer

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`HtmlRenderer()`

Method Summary
`void` `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRenderer

    public HtmlRenderer()

Method Detail

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`